# Uses of Class
org.apache.lucene.analysis.ko.dict.ConnectionCosts

Packages that use ConnectionCosts
Package
Description
org.apache.lucene.analysis.ko
Analyzer for Korean.
org.apache.lucene.analysis.ko.dict
Korean dictionary implementation.

## Uses of ConnectionCosts in org.apache.lucene.analysis.ko

Constructors in org.apache.lucene.analysis.ko with parameters of type ConnectionCosts
Modifier
Constructor
Description
``
`KoreanTokenizer(AttributeFactory factory, TokenInfoDictionary systemDictionary, UnknownDictionary unkDictionary, ConnectionCosts connectionCosts, UserDictionary userDictionary, KoreanTokenizer.DecompoundMode mode, boolean outputUnknownUnigrams, boolean discardPunctuation)`
Create a new KoreanTokenizer supplying a custom system dictionary and unknown dictionary.

## Uses of ConnectionCosts in org.apache.lucene.analysis.ko.dict

Methods in org.apache.lucene.analysis.ko.dict that return ConnectionCosts
Modifier and Type
Method
Description
`static ConnectionCosts`
ConnectionCosts.`getInstance()`